## prosody 0.6.1

=== Makefile ===

include config.unix

BIN = $(DESTDIR)$(PREFIX)/bin
CONFIG = $(DESTDIR)$(SYSCONFDIR)
MODULES = $(DESTDIR)$(PREFIX)/lib/prosody/modules
SOURCE = $(DESTDIR)$(PREFIX)/lib/prosody
DATA = $(DESTDIR)$(DATADIR)
MAN = $(DESTDIR)$(PREFIX)/share/man

INSTALLEDSOURCE = $(PREFIX)/lib/prosody
INSTALLEDCONFIG = $(SYSCONFDIR)
INSTALLEDMODULES = $(PREFIX)/lib/prosody/modules
INSTALLEDDATA = $(DATADIR)

all: prosody.install prosodyctl.install prosody.cfg.lua.install prosody.version
	$(MAKE) -C util-src install

install: prosody.install prosodyctl.install prosody.cfg.lua.install util/encodings.so util/encodings.so util/pposix.so util/signal.so
	install -d $(BIN) $(CONFIG) $(MODULES) $(SOURCE)
	install -m750 -d $(DATA)
	install -d $(MAN)/man1
	install -d $(CONFIG)/certs
	install -d $(SOURCE)/core $(SOURCE)/net $(SOURCE)/util $(SOURCE)/fallbacks
	install -m755 ./prosody.install $(BIN)/prosody
	install -m755 ./prosodyctl.install $(BIN)/prosodyctl
	install -m644 core/* $(SOURCE)/core
	install -m644 net/* $(SOURCE)/net
	install -m644 util/* $(SOURCE)/util
	install -m644 fallbacks/* $(SOURCE)/fallbacks
	install -m644 plugins/*.lua $(MODULES)
	install -d $(MODULES)/muc
	install -m644 plugins/muc/* $(MODULES)/muc
	install -m644 certs/* $(CONFIG)/certs
	install -m644 plugins/*.lua $(MODULES)
	install -m644 man/prosodyctl.man $(MAN)/man1/prosodyctl.1
	test -e $(CONFIG)/prosody.cfg.lua || install -m644 prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua
	test -e prosody.version && install prosody.version $(SOURCE)/prosody.version || true
	$(MAKE) install -C util-src

clean:
	rm -f prosody.install
	rm -f prosodyctl.install
	rm -f prosody.cfg.lua.install
	rm -f prosody.version
	$(MAKE) clean -C util-src

util/encodings.so:
	$(MAKE) install -C util-src

util/hashes.so:
	$(MAKE) install -C util-src

util/pposix.so:
	$(MAKE) install -C util-src

util/signal.so:
	$(MAKE) install -C util-src

prosody.install: prosody
	sed "s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|; \
		s|^CFG_DATADIR=.*;$$|CFG_DATADIR='$(INSTALLEDDATA)';|; \
		s|^CFG_PLUGINDIR=.*;$$|CFG_PLUGINDIR='$(INSTALLEDMODULES)/';|;" < prosody > prosody.install

prosodyctl.install: prosodyctl
	sed "s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|; \
		s|^CFG_DATADIR=.*;$$|CFG_DATADIR='$(INSTALLEDDATA)';|; \
		s|^CFG_PLUGINDIR=.*;$$|CFG_PLUGINDIR='$(INSTALLEDMODULES)/';|;" < prosodyctl > prosodyctl.install

prosody.cfg.lua.install:
	sed 's|certs/|$(INSTALLEDCONFIG)/certs/|' prosody.cfg.lua.dist > prosody.cfg.lua.install

prosody.release:
	test -e .hg/dirstate && hexdump -n6 -e'6/1 "%02x"' .hg/dirstate \
	    > prosody.version || true

prosody.version: prosody.release
	cp prosody.release prosody.version || true

## prosody 0.7.0

=== Makefile ===
--- 
+++ 
@@ -21,13 +21,15 @@
 	install -m750 -d $(DATA)
 	install -d $(MAN)/man1
 	install -d $(CONFIG)/certs
-	install -d $(SOURCE)/core $(SOURCE)/net $(SOURCE)/util $(SOURCE)/fallbacks
+	install -d $(SOURCE)/core $(SOURCE)/net $(SOURCE)/util
 	install -m755 ./prosody.install $(BIN)/prosody
 	install -m755 ./prosodyctl.install $(BIN)/prosodyctl
 	install -m644 core/* $(SOURCE)/core
 	install -m644 net/* $(SOURCE)/net
-	install -m644 util/* $(SOURCE)/util
-	install -m644 fallbacks/* $(SOURCE)/fallbacks
+	install -m644 util/*.lua $(SOURCE)/util
+	install -m644 util/*.so $(SOURCE)/util
+	install -d $(SOURCE)/util/sasl
+	install -m644 util/sasl/* $(SOURCE)/util/sasl
 	install -m644 plugins/*.lua $(MODULES)
 	install -d $(MODULES)/muc
 	install -m644 plugins/muc/* $(MODULES)/muc

=== util-src/Makefile ===

include ../config.unix

LUA_SUFFIX?=5.1
LUA_INCDIR?=/usr/include/lua$(LUA_SUFFIX)
LUA_LIB?=lua$(LUA_SUFFIX)
IDN_LIB?=idn
OPENSSL_LIB?=crypto
CC?=gcc
LD?=gcc

.SUFFIXES: .c .o .so

.c.o:
	$(CC) $(CFLAGS) -I$(LUA_INCDIR) -c -o $@ $<

.o.so:
	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
	$(LD) $(LDFLAGS) -o $@ $< -L$(LUA_LIBDIR) -llua$(LUA_SUFFIX) -lidn -lcrypto

all: encodings.so hashes.so pposix.so signal.so

install: encodings.so hashes.so pposix.so signal.so
	install *.so ../util/

clean:
	rm -f *.o
	rm -f *.so
	rm -f ../util/*.so

## prosody 0.8.2

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,8 @@
 	install -d $(MODULES)/muc
 	install -m644 plugins/muc/* $(MODULES)/muc
 	install -m644 certs/* $(CONFIG)/certs
-	install -m644 plugins/*.lua $(MODULES)
+	install -d $(MODULES)/adhoc
+	install -m644 plugins/adhoc/*.lua $(MODULES)/adhoc
 	install -m644 man/prosodyctl.man $(MAN)/man1/prosodyctl.1
 	test -e $(CONFIG)/prosody.cfg.lua || install -m644 prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua
 	test -e prosody.version && install prosody.version $(SOURCE)/prosody.version || true

=== certs/Makefile ===
.DEFAULT: localhost.cert
keysize=2048

# How to:
# First, `make yourhost.cnf` which creates a openssl config file.
# Then edit this file and fill in the details you want it to have,
# and add or change hosts and components it should cover.
# Then `make yourhost.key` to create your private key, you can
# include keysize=number to change the size of the key.
# Then you can either `make yourhost.csr` to generate a certificate
# signing request that you can submit to a CA, or `make yourhost.cert`
# to generate a self signed certificate.

.PRECIOUS: %.cnf %.key

# To request a cert
%.csr: %.cnf %.key
	openssl req -new -key $(lastword $^) -out $@ -utf8 -config $(firstword $^)

# Self signed
%.cert: %.cnf %.key
	openssl req -new -x509 -nodes -key $(lastword $^) -days 365 \
		-sha1 -out $@ -utf8 -config $(firstword $^)

%.cnf:
	sed 's,example\.com,$*,g' openssl.cnf > $@

%.key:
	openssl genrsa $(keysize) > $@
	@chmod 400 $@

=== util-src/Makefile ===
--- 
+++ 
@@ -7,16 +7,25 @@
 IDN_LIB?=idn
 OPENSSL_LIB?=crypto
 CC?=gcc
+CXX?=g++
 LD?=gcc
 
 .SUFFIXES: .c .o .so
+
+encodings.so: encodings.o
+	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
+	$(CC) -o $@ $< $(LDFLAGS) $(IDNA_LIBS)
+
+hashes.so: hashes.o
+	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
+	$(CC) -o $@ $< $(LDFLAGS) -l$(OPENSSL_LIB)
 
 .c.o:
 	$(CC) $(CFLAGS) -I$(LUA_INCDIR) -c -o $@ $<
 
 .o.so:
 	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
-	$(LD) $(LDFLAGS) -o $@ $< -L$(LUA_LIBDIR) -llua$(LUA_SUFFIX) -lidn -lcrypto
+	$(LD) -o $@ $< $(LDFLAGS)
 
 all: encodings.so hashes.so pposix.so signal.so

=== tools/migration/Makefile ===

include ../../config.unix

BIN = $(DESTDIR)$(PREFIX)/bin
CONFIG = $(DESTDIR)$(SYSCONFDIR)
SOURCE = $(DESTDIR)$(PREFIX)/lib/prosody
DATA = $(DESTDIR)$(DATADIR)
MAN = $(DESTDIR)$(PREFIX)/share/man

INSTALLEDSOURCE = $(PREFIX)/lib/prosody
INSTALLEDCONFIG = $(SYSCONFDIR)
INSTALLEDMODULES = $(PREFIX)/lib/prosody/modules
INSTALLEDDATA = $(DATADIR)

SOURCE_FILES = migrator/*.lua

all: prosody-migrator.install migrator.cfg.lua.install prosody-migrator.lua $(SOURCE_FILES)

install: prosody-migrator.install migrator.cfg.lua.install
	install -d $(BIN) $(CONFIG) $(SOURCE) $(SOURCE)/migrator
	install -d $(MAN)/man1
	install -d $(SOURCE)/migrator
	install -m755 ./prosody-migrator.install $(BIN)/prosody-migrator
	install -m644 $(SOURCE_FILES) $(SOURCE)/migrator
	test -e $(CONFIG)/migrator.cfg.lua || install -m644 migrator.cfg.lua.install $(CONFIG)/migrator.cfg.lua

clean:
	rm -f prosody-migrator.install
	rm -f migrator.cfg.lua.install

prosody-migrator.install: prosody-migrator.lua
	sed "s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|;" \
			< prosody-migrator.lua > prosody-migrator.install

migrator.cfg.lua.install: migrator.cfg.lua
	sed "s|^local data_path = .*;$$|local data_path = '$(INSTALLEDDATA)';|;" \
		< migrator.cfg.lua > migrator.cfg.lua.install

=== debian/changelog ===
prosody (0.8.2-4+deb7u4) wheezy-security; urgency=high

  * CVE-2016-0756: insecure dialback key generation/validation algorithm
  * Fix for regression introduced in the previous CVE-2016-1232 fix:
    s2s doesn't work if /dev/urandom is read-only.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Jan 2016 10:28:24 +0300

prosody (0.8.2-4+deb7u3) wheezy-security; urgency=high

  * CVE-2016-1231: path traversal in http built-in server
  * CVE-2016-1232: weak PRNG for dialback on S2S

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Jan 2016 20:07:12 +0100

prosody (0.8.2-4+deb7u2) wheezy-security; urgency=high

  * Fixup to prosody-0.8-compression-dos-2.patch to prevent clients with
    compression enabled to disconnect (Closes: #743836):
    - compression-advertisement-fix.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 20 Apr 2014 09:52:15 +0200

prosody (0.8.2-4+deb7u1) wheezy-security; urgency=high

  * Patch to prevent a DOS:
    - prosody-0.8-compression-dos-2.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 Apr 2014 13:42:11 +0200

prosody (0.8.2-4) unstable; urgency=low

  [ Matthew James Wild ]
  * Fix init script to expect 'lua5.1' as a process name

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Jun 2012 20:26:21 +0200

prosody (0.8.2-3) unstable; urgency=low

  * Add patch prosody-lua51.patch to make prosody work even if lua5.2
    is installed

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Jun 2012 19:04:46 +0200

prosody (0.8.2-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Switched to the snakeoil SSL certificate for localhost server instead of
    generating a separate one. This moves the responsibility of creating SSL
    certificate and private key to the ssl-cert package (Closes: #638027,
    #645853).
  * Create localhost.cfg.lua symlink in /etc/prosody/conf.d directory in
    postinstallation script and only on a new install to allow the local
    admin removing it completely.
  * Added lua-zlib, lua-dbi-postgresql, lua-dbi-mysql and lua-dbi-sqlite3 to
    the suggested packages list. lua-zlib allows prosody to use XMPP stream
    compression, the others let prosody store its data in an external
    relational database.
  * Bumped standards version to 3.9.3 (no changes needed).

  [ Enrico Tassi ]
  * Fix build dependency using the new Lua packages names

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 May 2012 22:07:24 +0400

prosody (0.8.2-1) unstable; urgency=low

  * New upstream bugfix release
  * Fixed ssl cert generation in postinst (Closes: #596433)
  * Bumped standards version to 3.9.2, no changes
  * source format 3.0 (quilt) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 21:55:57 +0200

prosody (0.8.1-1) unstable; urgency=high

  * New upstream release (Closes: #622638)
  * Depend on lua-expat >= 1.2.0 to fix DoS attack (Closes: #629234)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 04 Jun 2011 18:42:47 +0200

prosody (0.8.0-1) unstable; urgency=low

  [ Matthew James Wild ]
  * New upstream release. (closes: #614175, #620882)
  * Relocate all Prosody modules into /usr/lib/prosody. (closes: #600370)

  [ Enrico Tassi ]
  * Removed prosody.dirs, usr/lib/lua/5.1/util/ not needed
  * Bumped standards version to 3.9.1. no changes needed 
  * Added watch file

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 May 2011 10:07:42 +0200

prosody (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Check username and process name along with pidfile before stopping
    prosody daemon (closes: #580185).
  * Strictened dependency on liblua5.1-filesystem0 to versions with fixed
    umask bug in mkdir procedure (closes: #579087).
  * Use an absolute SSL certificate and key paths in config example
    /etc/prosody/conf.avail/example.com.cfg.lua (closes: #581682).
  * Added $syslog dependency to the prosody init script.
  * Added liblua5.1-event0 (which provides support for a large number of
    network connections) to recommended dependencies.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 Jul 2010 20:55:28 +0400

prosody (0.6.2-2) unstable; urgency=low

  * Fixed changing ownership and permissions of the old prosody config
    file (closes: #578837).
  * Added required-stop dependency on $remote_fs for prosody init script
    because it requires /usr/bin/prosody existence to run. Also, removed
    unnecessary dependency on $local_fs.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Apr 2010 10:37:20 +0400

prosody (0.6.2-1) unstable; urgency=low

  [ Enrico Tassi ]
  * Fixed typo in config file. Thanks  Tollef Fog Heen (Closes: #563795)

  [ Sergei Golovan ]
  * New upstream release.
  * Remove prosody group on package purge.
  * Make /etc/prosody directory readable, so the config filename can be
    completed in case user enters 'sudo vi /etc/prosody/pr<TAB>'. The config
    file itself is world-unreadable now.
  * Don't change ownership and permissions of prosody config, log and
    database directories if they are overridden by dpkg-statoverride.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 Apr 2010 11:57:22 +0400

prosody (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Replaced no_daemonize option by daemonize in the prosody config file.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 13 Dec 2009 16:23:07 +0300

prosody (0.5.2-2) unstable; urgency=low

  [ Enrico Tassi ]
  * recommend liblua5.1-sec1 instead of liblua5.1-sec0

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Nov 2009 10:11:50 +0100

prosody (0.5.2-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New upstream release.
  * Change log rotating frequency to weekly, compress logs, and create log
    files with adm group instead of prosody and with permissions 640.
  * Added copyright note for util-src/lsignal.c file to debian/copyright
    and reformatted it to fit 80 character lines.


=== debian/control ===
Source: prosody
Section: net
Priority: extra
Maintainer: Matthew James Wild <mwild1@gmail.com>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Sergei Golovan <sgolovan@debian.org>
Build-Depends: lua5.1, liblua5.1-dev, libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man, quilt (>= 0.46-7)
Standards-Version: 3.9.3
Homepage: http://www.prosody.im/

Package: prosody
Architecture: any
Multi-Arch: foreign
Depends: adduser, ssl-cert, lua5.1, liblua5.1-0,
 lua5.1-expat, lua-expat (>= 1.2.0), 
 lua5.1-socket, 
 lua5.1-filesystem, lua-filesystem (>= 1.4.2-3~),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: lua5.1-sec, lua5.1-event
Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
Description: Lightweight Jabber/XMPP server written in Lua
 Prosody IM is a simple-to-use XMPP server. It is designed to be easy to 
 extend via plugins, and light on resources.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with quilt $@

override_dh_auto_configure:
	./configure --lua-suffix=5.1 --with-lua-include=/usr/include/lua5.1 --prefix=/usr --with-ssl=crypto

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C tools/migration

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/tmp
	$(MAKE) -C tools/migration install DESTDIR=../../debian/tmp
	cp tools/ejabberd2prosody.lua debian/tmp/usr/bin/ejabberd2prosody
	cp tools/erlparse.lua debian/tmp/usr/lib/prosody/util

override_dh_installman:
	txt2man -t "prosody 8" -r "Prosody IM" -v "" debian/prosody.man.txt | sed 1d > prosody.8
	txt2man -t "prosodyctl 8" -r "Prosody IM" -v "" debian/prosodyctl.man.txt | sed 1d > prosodyctl.8
	txt2man -t "ejabberd2prosody 8" -r "Prosody IM" -v "" debian/ejabberd2prosody.man.txt | sed 1d > ejabberd2prosody.8
	txt2man -t "prosody-migrator 8" -r "Prosody IM" -v "" debian/prosody-migrator.man.txt | sed 1d > prosody-migrator.8
	dh_installman

override_dh_install:
	dh_install
	# configuration
	chmod a-x debian/prosody/usr/lib/prosody/prosody.version

override_dh_clean:
	if [ -f config.unix ]; then \
		make -C tools/migration clean \
		make clean; \
		rm -f config.unix; \
	fi
	rm -f prosody.8 prosodyctl.8 ejabberd2prosody.8 prosody-migrator.8
	dh_clean

## prosody 0.9.1

=== Makefile ===

include config.unix

BIN = $(DESTDIR)$(PREFIX)/bin
CONFIG = $(DESTDIR)$(SYSCONFDIR)
MODULES = $(DESTDIR)$(PREFIX)/lib/prosody/modules
SOURCE = $(DESTDIR)$(PREFIX)/lib/prosody
DATA = $(DESTDIR)$(DATADIR)
MAN = $(DESTDIR)$(PREFIX)/share/man

INSTALLEDSOURCE = $(PREFIX)/lib/prosody
INSTALLEDCONFIG = $(SYSCONFDIR)
INSTALLEDMODULES = $(PREFIX)/lib/prosody/modules
INSTALLEDDATA = $(DATADIR)

.PHONY: all clean install

all: prosody.install prosodyctl.install prosody.cfg.lua.install prosody.version
	$(MAKE) -C util-src install

install: prosody.install prosodyctl.install prosody.cfg.lua.install util/encodings.so util/encodings.so util/pposix.so util/signal.so
	install -d $(BIN) $(CONFIG) $(MODULES) $(SOURCE)
	install -m750 -d $(DATA)
	install -d $(MAN)/man1
	install -d $(CONFIG)/certs
	install -d $(SOURCE)/core $(SOURCE)/net $(SOURCE)/util
	install -m755 ./prosody.install $(BIN)/prosody
	install -m755 ./prosodyctl.install $(BIN)/prosodyctl
	install -m644 core/* $(SOURCE)/core
	install -m644 net/*.lua $(SOURCE)/net
	install -d $(SOURCE)/net/http
	install -m644 net/http/*.lua $(SOURCE)/net/http
	install -m644 util/*.lua $(SOURCE)/util
	install -m644 util/*.so $(SOURCE)/util
	install -d $(SOURCE)/util/sasl
	install -m644 util/sasl/* $(SOURCE)/util/sasl
	umask 0022 && cp -r plugins/* $(MODULES)
	install -m644 certs/* $(CONFIG)/certs
	install -m644 man/prosodyctl.man $(MAN)/man1/prosodyctl.1
	test -e $(CONFIG)/prosody.cfg.lua || install -m644 prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua
	test -e prosody.version && install -m644 prosody.version $(SOURCE)/prosody.version || true
	$(MAKE) install -C util-src

clean:
	rm -f prosody.install
	rm -f prosodyctl.install
	rm -f prosody.cfg.lua.install
	rm -f prosody.version
	$(MAKE) clean -C util-src

util/%.so:
	$(MAKE) install -C util-src

%.install: %
	sed "1s/\blua\b/$(RUNWITH)/; \
		s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|; \
		s|^CFG_DATADIR=.*;$$|CFG_DATADIR='$(INSTALLEDDATA)';|; \
		s|^CFG_PLUGINDIR=.*;$$|CFG_PLUGINDIR='$(INSTALLEDMODULES)/';|;" < $^ > $@

prosody.cfg.lua.install: prosody.cfg.lua.dist
	sed 's|certs/|$(INSTALLEDCONFIG)/certs/|' $^ > $@

prosody.version: $(wildcard prosody.release .hg/dirstate)
	test -e .hg/dirstate && \
		hexdump -n6 -e'6/1 "%02x"' .hg/dirstate > $@ || true
	test -f prosody.release && \
		cp prosody.release $@ || true

=== util-src/Makefile ===
--- 
+++ 
@@ -9,8 +9,20 @@
 CC?=gcc
 CXX?=g++
 LD?=gcc
+CFLAGS+=-ggdb
 
+.PHONY: all install clean
 .SUFFIXES: .c .o .so
+
+all: encodings.so hashes.so net.so pposix.so signal.so
+
+install: encodings.so hashes.so net.so pposix.so signal.so
+	install *.so ../util/
+
+clean:
+	rm -f *.o
+	rm -f *.so
+	rm -f ../util/*.so
 
 encodings.so: encodings.o
 	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
@@ -27,12 +39,3 @@
 	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
 	$(LD) -o $@ $< $(LDFLAGS)
 
-all: encodings.so hashes.so pposix.so signal.so
-
-install: encodings.so hashes.so pposix.so signal.so
-	install *.so ../util/
-
-clean:
-	rm -f *.o
-	rm -f *.so
-	rm -f ../util/*.so

=== debian/changelog ===
prosody (0.9.1-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: path traversal vulnerability in mod_http_files
    - debian/patches/CVE-2016-1231.patch
    - CVE-2016-1231
    - LP: #1532943
  * SECURITY UPDATE: use of weak PRNG in generation of dialback secrets
    - debian/patches/CVE-2016-1232.patch
    - CVE-2016-1232
    - LP: #1532943

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jan 2016 19:21:33 +0100

prosody (0.9.1-1) unstable; urgency=low

  * New upstream release including ipv6 support (Closes: #721970, #562161)
  * Packaging moved to git (still collab maint)
  * Add Vcs-* fields to control file
  * Standards-Version bumped to 3.9.4, no changes needed 
  * Add delaycompress to logrotate file (Closes: #718703) 
  * Allow user to override IO/CPU scheduler and nice level using
    /etc/default/prosody, as the upstream does 
  * Fix LSB init info adding $local_fs as a dependency
  * Align package description with the one used by the upstream

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Aug 2013 16:18:43 +0200

prosody (0.9.0~rc5-2) unstable; urgency=low

  * Configure prosody using --ostype=debian 
  * New patch to use dpkg-buildflags (activates hardening flags) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 12 Aug 2013 09:58:27 +0200

prosody (0.9.0~rc5-1) unstable; urgency=low

  * New upstream release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 27 Sep 2012 18:22:53 +0200

=== debian/control ===
Source: prosody
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
 Sergei Golovan <sgolovan@debian.org>
Build-Depends:
 lua5.1, liblua5.1-dev,
 libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man, quilt (>= 0.46-7)
Standards-Version: 3.9.4
Homepage: http://www.prosody.im/
Vcs-Git: git://git.debian.org/git/collab-maint/prosody.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/prosody.git

Package: prosody
Architecture: any
Multi-Arch: foreign
Depends: adduser, ssl-cert, lua5.1,
 lua5.1-expat, lua-expat (>= 1.2.0), 
 lua5.1-socket, 
 lua5.1-filesystem, lua-filesystem (>= 1.4.2-3~),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: lua5.1-sec, lua5.1-event
Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
Description: Lightweight Jabber/XMPP server
 Prosody IM is a simple-to-use XMPP server. It is designed to be easy to 
 extend via plugins, and light on resources.

## prosody 0.9.4

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,9 @@
 
 all: prosody.install prosodyctl.install prosody.cfg.lua.install prosody.version
 	$(MAKE) -C util-src install
+ifeq ($(EXCERTS),yes)
+	$(MAKE) -C certs localhost.crt example.com.crt || true
+endif
 
 install: prosody.install prosodyctl.install prosody.cfg.lua.install util/encodings.so util/encodings.so util/pposix.so util/signal.so
 	install -d $(BIN) $(CONFIG) $(MODULES) $(SOURCE)
@@ -52,7 +55,7 @@
 	$(MAKE) install -C util-src
 
 %.install: %
-	sed "1s/\blua\b/$(RUNWITH)/; \
+	sed "1s| lua$$| $(RUNWITH)|; \
 		s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
 		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|; \
 		s|^CFG_DATADIR=.*;$$|CFG_DATADIR='$(INSTALLEDDATA)';|; \

=== tools/migration/Makefile ===
--- 
+++ 
@@ -29,7 +29,8 @@
 	rm -f migrator.cfg.lua.install
 
 prosody-migrator.install: prosody-migrator.lua
-	sed "s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
+	sed "1s/\blua\b/$(RUNWITH)/; \
+		s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
 		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|;" \
 			< prosody-migrator.lua > prosody-migrator.install

=== debian/changelog ===
prosody (0.9.4-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1374960)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 28 Sep 2014 14:15:27 +0200

prosody (0.9.4-1) unstable; urgency=high

  * New upstream release
  * Additional patches fixing a DOS:
      - 0005-Disable-LuaExpat-buffering-if-possible.patch
      - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 05 Apr 2014 12:53:47 +0200

prosody (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Fix ejabberd2prosody path (LP: #1109051)
  * Add Provides: xmpp-server (Closes: #737761) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Mar 2014 16:26:25 +0100

prosody (0.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: #737260)
  * Patches refreshed
  * Copyright rewritten following format 1.0

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 10 Jan 2014 18:11:25 +0100

## prosody 0.9.7

=== debian/changelog ===
prosody (0.9.7-2) unstable; urgency=high

  * Apply upstream patch to validate UTF-8 strings before calling libidn
    (related to CVE-2015-2059)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Mar 2015 16:20:07 +0100

prosody (0.9.7-1) unstable; urgency=medium

  * New upstream release, really a minor fix over 0.9.6 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 25 Oct 2014 10:42:14 +0200

prosody (0.9.6-1) unstable; urgency=medium

  * New upstream release 
  * Remove patches integrate upstream:
      - 0005-Disable-LuaExpat-buffering-if-possible.patch
      - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 24 Oct 2014 22:07:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prosody
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>
@@ -24,6 +23,7 @@
  ${shlibs:Depends}, ${misc:Depends}
 Recommends: lua5.1-sec, lua5.1-event
 Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
+Provides: xmpp-server
 Description: Lightweight Jabber/XMPP server
  Prosody IM is a simple-to-use XMPP server. It is designed to be easy to 
  extend via plugins, and light on resources.

## prosody 0.9.8

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 BIN = $(DESTDIR)$(PREFIX)/bin
 CONFIG = $(DESTDIR)$(SYSCONFDIR)
-MODULES = $(DESTDIR)$(PREFIX)/lib/prosody/modules
-SOURCE = $(DESTDIR)$(PREFIX)/lib/prosody
+MODULES = $(DESTDIR)$(LIBDIR)/prosody/modules
+SOURCE = $(DESTDIR)$(LIBDIR)/prosody
 DATA = $(DESTDIR)$(DATADIR)
 MAN = $(DESTDIR)$(PREFIX)/share/man
 
-INSTALLEDSOURCE = $(PREFIX)/lib/prosody
+INSTALLEDSOURCE = $(LIBDIR)/prosody
 INSTALLEDCONFIG = $(SYSCONFDIR)
-INSTALLEDMODULES = $(PREFIX)/lib/prosody/modules
+INSTALLEDMODULES = $(LIBDIR)/prosody/modules
 INSTALLEDDATA = $(DATADIR)
 
 .PHONY: all clean install

=== certs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.DEFAULT: localhost.cert
+.DEFAULT: localhost.crt
 keysize=2048
 
 # How to:
@@ -8,7 +8,7 @@
 # Then `make yourhost.key` to create your private key, you can
 # include keysize=number to change the size of the key.
 # Then you can either `make yourhost.csr` to generate a certificate
-# signing request that you can submit to a CA, or `make yourhost.cert`
+# signing request that you can submit to a CA, or `make yourhost.crt`
 # to generate a self signed certificate.
 
 .PRECIOUS: %.cnf %.key
@@ -18,7 +18,7 @@
 	openssl req -new -key $(lastword $^) -out $@ -utf8 -config $(firstword $^)
 
 # Self signed
-%.cert: %.cnf %.key
+%.crt: %.cnf %.key
 	openssl req -new -x509 -nodes -key $(lastword $^) -days 365 \
 		-sha1 -out $@ -utf8 -config $(firstword $^)

=== debian/changelog ===
prosody (0.9.8-1ubuntu0.1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jan 2016 20:49:25 +0100

prosody (0.9.8-1ubuntu0.1) wily-security; urgency=medium

  * SECURITY UPDATE: path traversal vulnerability in mod_http_files
    - debian/patches/0008-CVE-2016-1231.patch
    - CVE-2016-1231
    - LP: #1532943
  * SECURITY UPDATE: use of weak PRNG in generation of dialback secrets
    - debian/patches/0009-CVE-2016-1232.patch
    - CVE-2016-1232
    - LP: #1532943

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jan 2016 20:55:43 +0100

prosody (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove the patch which validates UTF-8 strings before calling libidn
    because it's already applied upstream:
      - 0005-Validate-UTF-8-strings-before-calling-libidn.patch
  * Remove from the package two patches already removed from the patch series:
      - 0005-Disable-LuaExpat-buffering-if-possible.patch
      - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch
  * Do not reload prosody configuration after its log is rotated if the daemon
    is not actually running (closes: #763658).
  * Rename the default snakeoil localhost certificate to localhost.crt to
    match its name in the config file (closes: #748721).
  * Apply upstream patch which fixes CNAME DNS record resolution
    (closes: #787070):
      - 0007-Fix-CNAME-DNS-lookup.patch
  * Remove quilt from the package build dependencies.
  * Bump the standards version to 3.9.6. 

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 02 Jun 2015 18:27:08 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: prosody
 Section: net
 Priority: extra
-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>
 Build-Depends:
  lua5.1, liblua5.1-dev,
- libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man, quilt (>= 0.46-7)
-Standards-Version: 3.9.4
+ libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man
+Standards-Version: 3.9.6
 Homepage: http://www.prosody.im/
 Vcs-Git: git://git.debian.org/git/collab-maint/prosody.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/prosody.git

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package prosody
#
version=3
opts="uversionmangle=s/rc/~rc/" \
http://prosody.im/downloads/source/ prosody-(.*).tar.gz
opts="uversionmangle=s/rc/~rc/" \
http://prosody.im/tmp/(\d.\d.\d.*)/ prosody-(.*).tar.gz

## prosody 0.9.10

=== certs/Makefile ===
--- 
+++ 
@@ -26,5 +26,5 @@
 	sed 's,example\.com,$*,g' openssl.cnf > $@
 
 %.key:
-	openssl genrsa $(keysize) > $@
-	@chmod 400 $@
+	umask 0077 && openssl genrsa -out $@ $(keysize)
+	@chmod 400 $@ -c

=== debian/changelog ===
prosody (0.9.10-1) unstable; urgency=medium

  * New upstream release fixing CVE-2016-0756 and a regression caused by the
    previous fix of CVE-2016-1232.
  * Turn the soft dependency on lua-sec to a hard one because using TLS
    in XMPP is essentially mandatory now (closes: #734678).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Jan 2016 09:47:26 +0300

prosody (0.9.9-1) unstable; urgency=medium

  * New upstream release fixing CVE-2016-1231 and CVE-2016-1232 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Jan 2016 21:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prosody
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>
@@ -20,9 +19,10 @@
 Depends: adduser, ssl-cert, lua5.1,
  lua5.1-expat, lua-expat (>= 1.2.0), 
  lua5.1-socket, 
+ lua5.1-sec,
  lua5.1-filesystem, lua-filesystem (>= 1.4.2-3~),
  ${shlibs:Depends}, ${misc:Depends}
-Recommends: lua5.1-sec, lua5.1-event
+Recommends: lua5.1-event
 Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
 Provides: xmpp-server
 Description: Lightweight Jabber/XMPP server

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --ostype=debian --prefix=/usr 

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C tools/migration

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/tmp
	$(MAKE) -C tools/migration install DESTDIR=../../debian/tmp
	cp tools/ejabberd2prosody.lua debian/tmp/usr/bin/ejabberd2prosody
	cp tools/erlparse.lua debian/tmp/usr/lib/prosody/util

override_dh_installman:
	txt2man -t "prosody 8" -r "Prosody IM" -v "" debian/prosody.man.txt | sed 1d > prosody.8
	txt2man -t "ejabberd2prosody 8" -r "Prosody IM" -v "" debian/ejabberd2prosody.man.txt | sed 1d > ejabberd2prosody.8
	txt2man -t "prosody-migrator 8" -r "Prosody IM" -v "" debian/prosody-migrator.man.txt | sed 1d > prosody-migrator.8
	dh_installman

override_dh_auto_clean:
	if [ -f config.unix ]; then \
		make -C tools/migration clean; \
		make clean; \
		rm -f config.unix; \
	fi
	rm -f prosody.8 prosodyctl.8 ejabberd2prosody.8 prosody-migrator.8

## prosody 0.9.12

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	install -d $(SOURCE)/core $(SOURCE)/net $(SOURCE)/util
 	install -m755 ./prosody.install $(BIN)/prosody
 	install -m755 ./prosodyctl.install $(BIN)/prosodyctl
-	install -m644 core/* $(SOURCE)/core
+	install -m644 core/*.lua $(SOURCE)/core
 	install -m644 net/*.lua $(SOURCE)/net
 	install -d $(SOURCE)/net/http
 	install -m644 net/http/*.lua $(SOURCE)/net/http

=== certs/Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 
 %.key:
 	umask 0077 && openssl genrsa -out $@ $(keysize)
-	@chmod 400 $@ -c
+	@chmod 400 $@

=== debian/changelog ===
prosody (0.9.12-2) unstable; urgency=medium

  * [01d44c8] fix fails to initiate s2s when lua-event 0.4.3 is installed
    backport fix from https://prosody.im/issues/issue/555
    (Closes: #863475)

 -- Victor Seva <vseva@debian.org>  Wed, 31 May 2017 09:33:41 +0200

prosody (0.9.12-1) unstable; urgency=medium

  * [e840660] New upstream version 0.9.12
  * [5bab192] remove already applied patches
  * [995f758] fix hardening warnings

 -- Victor Seva <vseva@debian.org>  Wed, 11 Jan 2017 09:56:01 +0100

prosody (0.9.11-2) unstable; urgency=medium

  * [c239fbf] fix check incoming certificates valididy (Closes: #846470)

 -- Victor Seva <vseva@debian.org>  Mon, 12 Dec 2016 09:03:29 +0100

prosody (0.9.11-1) unstable; urgency=medium

  * [f27016f] New upstream version 0.9.11
  * [8234bea] add myself to uploaders list
  * [90f1d05] update Standards-Version ( no changes needed )
  * [bf05d9a] fix package-uses-deprecated-debhelper-compat-version.
    wrap-and-sort -sat
  * [77f3d3f] fix vcs-field-uses-insecure-uri
  * [dc46868] fix init.d-script-needs-depends-on-lsb-base
  * [64946c5] fix wildcard-matches-nothing-in-dep5-copyright
    util-src/lsignal.c
  * [d57b350] fix extended-description-is-probably-too-short

 -- Victor Seva <vseva@debian.org>  Fri, 04 Nov 2016 08:53:23 +0100

=== debian/control ===
Source: prosody
Section: net
Priority: extra
Maintainer: Matthew James Wild <mwild1@gmail.com>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
 Sergei Golovan <sgolovan@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1.1),
 libidn11-dev,
 liblua5.1-dev,
 libssl-dev,
 lua5.1,
 txt2man,
Standards-Version: 3.9.8
Homepage: http://www.prosody.im/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/prosody.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prosody.git/

Package: prosody
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 lsb-base,
 lua-expat (>= 1.2.0),
 lua-filesystem (>= 1.4.2-3~),
 lua5.1,
 lua5.1-expat,
 lua5.1-filesystem,
 lua5.1-sec,
 lua5.1-socket,
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lua5.1-event,
Suggests:
 lua-dbi-mysql,
 lua-dbi-postgresql,
 lua-dbi-sqlite3,
 lua-zlib,
Provides:
 xmpp-server,
Description: Lightweight Jabber/XMPP server
 Prosody is a modern XMPP communication server. It aims to be
 easy to set up and configure, and efficient with system resources.
 Additionally, for developers it aims to be easy to extend and
 give a flexible system on which to rapidly develop added
 functionality, or prototype new protocols.

## prosody 0.10.0

=== Makefile ===

include config.unix

BIN = $(DESTDIR)$(PREFIX)/bin
CONFIG = $(DESTDIR)$(SYSCONFDIR)
MODULES = $(DESTDIR)$(LIBDIR)/prosody/modules
SOURCE = $(DESTDIR)$(LIBDIR)/prosody
DATA = $(DESTDIR)$(DATADIR)
MAN = $(DESTDIR)$(PREFIX)/share/man

INSTALLEDSOURCE = $(LIBDIR)/prosody
INSTALLEDCONFIG = $(SYSCONFDIR)
INSTALLEDMODULES = $(LIBDIR)/prosody/modules
INSTALLEDDATA = $(DATADIR)

INSTALL=install -p
INSTALL_DATA=$(INSTALL) -m644
INSTALL_EXEC=$(INSTALL) -m755
MKDIR=install -d
MKDIR_PRIVATE=$(MKDIR) -m750

.PHONY: all test clean install

all: prosody.install prosodyctl.install prosody.cfg.lua.install prosody.version
	$(MAKE) -C util-src install
ifeq ($(EXCERTS),yes)
	-$(MAKE) -C certs localhost.crt example.com.crt
endif

install: prosody.install prosodyctl.install prosody.cfg.lua.install util/encodings.so util/encodings.so util/pposix.so util/signal.so
	$(MKDIR) $(BIN) $(CONFIG) $(MODULES) $(SOURCE)
	$(MKDIR_PRIVATE) $(DATA)
	$(MKDIR) $(MAN)/man1
	$(MKDIR) $(CONFIG)/certs
	$(MKDIR) $(SOURCE)/core $(SOURCE)/net $(SOURCE)/util
	$(INSTALL_EXEC) ./prosody.install $(BIN)/prosody
	$(INSTALL_EXEC) ./prosodyctl.install $(BIN)/prosodyctl
	$(INSTALL_DATA) core/*.lua $(SOURCE)/core
	$(INSTALL_DATA) net/*.lua $(SOURCE)/net
	$(MKDIR) $(SOURCE)/net/http $(SOURCE)/net/websocket
	$(INSTALL_DATA) net/http/*.lua $(SOURCE)/net/http
	$(INSTALL_DATA) net/websocket/*.lua $(SOURCE)/net/websocket
	$(INSTALL_DATA) util/*.lua $(SOURCE)/util
	$(INSTALL_DATA) util/*.so $(SOURCE)/util
	$(MKDIR) $(SOURCE)/util/sasl
	$(INSTALL_DATA) util/sasl/*.lua $(SOURCE)/util/sasl
	$(MKDIR) $(MODULES)/mod_s2s $(MODULES)/mod_pubsub $(MODULES)/adhoc $(MODULES)/muc $(MODULES)/mod_mam
	$(INSTALL_DATA) plugins/*.lua $(MODULES)
	$(INSTALL_DATA) plugins/mod_s2s/*.lua $(MODULES)/mod_s2s
	$(INSTALL_DATA) plugins/mod_pubsub/*.lua $(MODULES)/mod_pubsub
	$(INSTALL_DATA) plugins/adhoc/*.lua $(MODULES)/adhoc
	$(INSTALL_DATA) plugins/muc/*.lua $(MODULES)/muc
	$(INSTALL_DATA) plugins/mod_mam/*.lua $(MODULES)/mod_mam
	$(INSTALL_DATA) certs/* $(CONFIG)/certs
	$(INSTALL_DATA) man/prosodyctl.man $(MAN)/man1/prosodyctl.1
	test -f $(CONFIG)/prosody.cfg.lua || $(INSTALL_DATA) prosody.cfg.lua.install $(CONFIG)/prosody.cfg.lua
	-test -f prosody.version && $(INSTALL_DATA) prosody.version $(SOURCE)/prosody.version
	$(MAKE) install -C util-src

clean:
	rm -f prosody.install
	rm -f prosodyctl.install
	rm -f prosody.cfg.lua.install
	rm -f prosody.version
	$(MAKE) clean -C util-src

test:
	cd tests && $(RUNWITH) test.lua 0
	# Skipping: cd tests && RUNWITH=$(RUNWITH) ./test_util_json.sh

util/%.so:
	$(MAKE) install -C util-src

%.install: %
	sed "1s| lua$$| $(RUNWITH)|; \
		s|^CFG_SOURCEDIR=.*;$$|CFG_SOURCEDIR='$(INSTALLEDSOURCE)';|; \
		s|^CFG_CONFIGDIR=.*;$$|CFG_CONFIGDIR='$(INSTALLEDCONFIG)';|; \
		s|^CFG_DATADIR=.*;$$|CFG_DATADIR='$(INSTALLEDDATA)';|; \
		s|^CFG_PLUGINDIR=.*;$$|CFG_PLUGINDIR='$(INSTALLEDMODULES)/';|;" < $^ > $@

prosody.cfg.lua.install: prosody.cfg.lua.dist
	sed 's|certs/|$(INSTALLEDCONFIG)/certs/|' $^ > $@

%.version: %.release
	cp $^ $@

%.version: .hg_archival.txt
	sed -n 's/^node: \(............\).*/\1/p' $^ > $@

%.version: .hg/dirstate
	hexdump -n6 -e'6/1 "%02x"' $^ > $@

%.version:
	echo unknown > $@

=== util-src/Makefile ===

include ../config.unix

CFLAGS+=-I$(LUA_INCDIR)

INSTALL_DATA=install -m644
TARGET?=../util/

ALL=encodings.so hashes.so net.so pposix.so signal.so table.so ringbuffer.so

ifdef RANDOM
ALL+=crand.so
endif

.PHONY: all install clean
.SUFFIXES: .c .o .so

all: $(ALL)

install: $(ALL)
	$(INSTALL_DATA) $^ $(TARGET)

clean:
	rm -f $(ALL) $(patsubst %.so,%.o,$(ALL))

encodings.so: LDLIBS+=$(IDNA_LIBS)

hashes.so: LDLIBS+=$(OPENSSL_LIBS)

crand.o: CFLAGS+=-DWITH_$(RANDOM)
crand.so: LDLIBS+=$(RANDOM_LIBS)

%.so: %.o
	$(LD) $(LDFLAGS) -o $@ $^ $(LDLIBS)

=== debian/changelog ===
prosody (0.10.0-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:09 +0000

prosody (0.10.0-1) unstable; urgency=medium

  * [a2ca44a] New upstream version 0.10.0
  * [d80d140] run restorecon when creating a new pid directory for SE Linux
    (Closes: #859727)
  * [338a603] add upstream/signing-key.asc as 4.1.0 mandates
  * [67e4d05] set priority to optional conforming 4.0.1
  * [6cf707a] refresh 0001-conf.patch
  * [c04e9e9] update Standards Version to 4.1.1
  * [037b463]  add libs for dh_auto_test to work
  * [8e51731] fix lintian

 -- Victor Seva <vseva@debian.org>  Fri, 13 Oct 2017 11:10:54 +0200

prosody (0.10~hg745e0a783055-3) experimental; urgency=medium

  * [1800745] Conflicts with old prosody-modules version (closes: #867678)

 -- Victor Seva <vseva@debian.org>  Wed, 19 Jul 2017 18:25:48 +0200

prosody (0.10~hg745e0a783055-2) experimental; urgency=medium

  * [ac51124] fix typo at bitop dependency

 -- Victor Seva <vseva@debian.org>  Mon, 19 Jun 2017 12:53:10 +0200

prosody (0.10~hg745e0a783055-1) experimental; urgency=medium

  * [24b852c] fix boot order for popular SQL servers (Closes: #743998)
  * [50d6499] fix bashism at prosody.init and prevent word
    splitting using quotes
  * [1998209] New upstream version 0.10~hg745e0a783055 (Closes: #842963)
  * [643e3c0] refresh debian patches
  * [f5a1451] add lua5.1-bitop as dependency due to websocket module

 -- Victor Seva <vseva@debian.org>  Tue, 30 May 2017 13:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prosody
 Section: net
-Priority: extra
-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>,
@@ -12,9 +13,11 @@
  libidn11-dev,
  liblua5.1-dev,
  libssl-dev,
+ lua5.1-expat,
+ lua5.1-socket,
  lua5.1,
  txt2man,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.prosody.im/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/prosody.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prosody.git/
@@ -28,6 +31,7 @@
  lua-expat (>= 1.2.0),
  lua-filesystem (>= 1.4.2-3~),
  lua5.1,
+ lua5.1-bitop,
  lua5.1-expat,
  lua5.1-filesystem,
  lua5.1-sec,
@@ -42,6 +46,8 @@
  lua-dbi-postgresql,
  lua-dbi-sqlite3,
  lua-zlib,
+Conflicts:
+ prosody-modules (<< 0.0~hg20170719.cd828b1cb5b9+dfsg-1),
 Provides:
  xmpp-server,
 Description: Lightweight Jabber/XMPP server

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	./configure --ostype=debian --prefix=/usr 
+	./configure --ostype=debian --prefix=/usr
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package prosody
#
version=4
opts="uversionmangle=s/rc/~rc/,pgpsigurlmangle=s/$/.asc/" \
http://prosody.im/downloads/source/ prosody-(.*).tar.gz
opts="uversionmangle=s/rc/~rc/,pgpsigurlmangle=s/$/.asc/" \
http://prosody.im/tmp/(\d.\d.\d.*)/ prosody-(.*).tar.gz

## prosody 0.10.2

=== debian/changelog ===
prosody (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * Set Debian XMPP team as maintainer.
  * Reverting fix for #851669, because it introduced other bugs
    (closes: #899352, #899357, #899359).
  * New upstream release (Closes: #900524), which fixes
    CVE-2018-10847: insufficient stream header validation.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 31 May 2018 20:57:00 +0000

prosody (0.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 May 2018 14:22:54 +0300

prosody (0.10.0-2) unstable; urgency=medium

  * Move the prosody PID file to /run/prosody (closes: #883905).
  * Exit the logrotate postrotate script with zero status if prosody isn't
    running (closes: #888644).
  * Add /usr/local/lib/prosody/modules to a modules search path for local
    administrators. Remove VirtualHost example from the main config in favor
    of subconfigs (closes: #827689).
  * Copy the example snakeoil certificate to /etc/prosody/certs instead of
    linking it. This helps not to add prosody to the ssl-cert group which may
    be troubling from a security standpoint (closes: #851669).
  * Add a systemd unit file, don't daemonize the server, letting systemd or
    start-stop-daemon do that (closes: #851519).
  * Bump the debhelper compatibility level to 11.
  * Bump the standards version to 4.1.4.
  * Fix the package VCS headers.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Apr 2018 13:54:50 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: prosody
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
+ Matthew James Wild <mwild1@gmail.com>,
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1.1),
  libidn11-dev,
  liblua5.1-dev,
@@ -17,10 +17,10 @@
  lua5.1-socket,
  lua5.1,
  txt2man,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.prosody.im/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/prosody.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prosody.git/
+Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
+Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git
 
 Package: prosody
 Architecture: any
